%{!?ruby_sitelib:	%define ruby_sitelib	%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}

%define		rubyabi		1.8
%define		repoid		44011

%define		modname		mechanize

Name:		ruby-%{modname}
Version:	0.8.3
Release:	1%{?dist}
Summary:	A handy web browsing ruby object
Group:		Development/Languages

License:	GPL+
URL:		http://mechanize.rubyforge.org/mechanize/
Source0:	http://rubyforge.org/frs/download.php/%{repoid}/%{modname}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires(check):	ruby(hpricot)
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby(hpricot)
Provides:	ruby(%{modname}) = %{version}-%{release}

%description
The Mechanize library is used for automating interaction with websites. 
Mechanize automatically stores and sends cookies, follows redirects, 
can follow links, and submit forms. Form fields can be populated and 
submitted. Mechanize also keeps track of the sites that you have 
visited as a history.

%prep
%setup -q -n %{modname}-%{version}

%build
: Nothing to do

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{ruby_sitelib}

%{__cp} -pr lib/* $RPM_BUILD_ROOT%{ruby_sitelib}

%check
export RUBYLIB=$(pwd)/lib

pushd test
sed -i.gem -e '/rubygem/d' helper.rb

SUCCEEDED=0
FAILED=0
for tests in test_*.rb
	do
	ruby $tests && SUCCEEDED=$((SUCCEEDED+1)) || FAILED=$((FAILED+1))
done
popd

echo "$SUCCEEDED tests succeeded"
echo "$FAILED tests failed"

# And exit anyway
exit 0

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc EXAMPLES.txt
%doc FAQ.txt
%doc GUIDE.txt 
%doc History.txt
%doc LICENSE.txt 
%doc NOTES.txt
%doc README.txt 
%doc examples/

%{ruby_sitelib}/%{modname}.rb
%{ruby_sitelib}/www/

%changelog
* Wed Oct  1 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.8.3-1
- 0.8.3

* Thu Sep 25 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.8.0-1
- 0.8.0

* Thu Aug 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.8-1
- 0.7.8

* Thu Jul 31 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.7-1
- 0.7.7

* Thu May 22 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.6-1
- 0.7.6

* Thu Mar 20 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.5-1
- 0.7.5

* Thu Mar  6 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.1-1
- 0.7.1

* Thu Jan 17 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.0-1
- 0.7.0

* Thu Dec 13 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.11-1
- 0.6.11

* Fri Nov  9 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.10-3
- More cleanup

* Sat Nov  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.10-2
- BR: ruby
- Remove unneeded CFLAGS

* Sat Nov  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.10-1
- 0.6.10

* Fri Jun  8 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.8-1
- Initial packaging
